Subject: [netconf] draft-ietf-netconf-keystore-09.txt

From: Nick Hancock <[email-masked]>
Date: Tue, 30 Apr 2019 15:39:53 +0000

Hi Kent,

I have just noticed a issue with the leaf 'keystore-reference' used 
in the grouping 'local-or-keystore-end-entity-cert-with-key-grouping' 
in ietf-keystore.

This leafref uses the typedef 'asymmetric-key-certificate-ref', but, 
unless I am missing something, this alone will not work, because a 
predicate for the list 'asymmetric-key' is missing. 

I would expect something like the following:

case keystore {
  if-feature "keystore-supported";
  leaf asymmetric-key-name {
    type ks:asymmetric-key-ref;
      description
        "A reference to an asymmetric key that exists in
         the keystore. "; 
  }
  leaf certificate-name {
    type leafref {
      path 
        "/ks:keystore"
        + "/ks:asymmetric-keys"
        + "/ks:asymmetric-key"
        + "[ks:name=current()/../" 
        + "asymmetric-key-name]" 
        + "/ks:certificates" 
        + "/ks:certificate/ks:name";
    }
    description
     "A reference to a specific certificate associated 
      with the given private key, stored in the keystore.";   
  }
}

Regards
Nick